<?xml version="1.0"?>
<!-- Lexmark Printer Driver Extensions                 -->

<bidi:Schema xmlns:bidi='http://schemas.microsoft.com/windows/2005/03/printing/bidi'>
    <Property name='Printer'>
        <Property name='DeviceInfo'>

            <!-- Only Supports Single Printer Attached to Adapter                      -->
            <Property name="ModelName">
               <Value name="Text" type="BIDI_TEXT" 
                               oid="1.3.6.1.2.1.1.1" deviceIndex="false"/>
            </Property>
            <Property name="NumPrinters">
               <Value name="Count" type="BIDI_INT"
                               oid="1.3.6.1.4.1.641.2.1.1" deviceIndex="false" refreshInterval='600'/>
            </Property>

        </Property>
        <Property name='Configuration'>
            <Property name='Memory'>
                <Value name='Size' oid='1.3.6.1.2.1.25.2.2' type='BIDI_INT' drvPrinterEvent='true' refreshInterval='600'/>
                <Value name='PS' oid='1.3.6.1.2.1.25.2.2' type='BIDI_INT' drvPrinterEvent='true' refreshInterval='600'/>
            </Property>
            <Property name='HardDisk'>
                <Installed name='Installed' oid='1.3.6.1.2.1.25.2.3.1.2' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                    <Lookup value='1.3.6.1.2.1.25.2.1.4'/>
                </Installed>
            </Property>
            <Property name='OptionalCard'>
                <Installed name='Installed' oid='1.3.6.1.2.1.25.2.3.1.3' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                    <Lookup value='%flash%'/>
                </Installed>
            </Property>
            <Property name='DuplexUnit'>
                <Installed name='Installed' oid='1.3.6.1.2.1.43.13.4.1.9' deviceIndex='true' refreshInterval='600' drvPrinterEvent='true'>
                    <Lookup value='3'/>
                    <Lookup value='4'/>
                </Installed>
            </Property>
        </Property>
        <Property name='Consumables'>
            <Property name='Toner'>
               <Property name='Black'>
                  <Installed name='Installed' oid='1.3.6.1.2.1.43.11.1.1.6.1' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                     <Lookup value='Black Toner'/>
                     <Lookup value='Black Cartridge'/>
                  </Installed>
               </Property>
               <Property name='Cyan'>
                  <Installed name='Installed' oid='1.3.6.1.2.1.43.11.1.1.6.1' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                     <Lookup value='Cyan Toner'/>
                     <Lookup value='Cyan Cartridge'/>
                  </Installed>
               </Property>
               <Property name='Magenta'>
                  <Installed name='Installed' oid='1.3.6.1.2.1.43.11.1.1.6.1' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                     <Lookup value='Magenta Toner'/>
                     <Lookup value='Magenta Cartridge'/>
                  </Installed>
               </Property>
               <Property name='Yellow'>
                  <Installed name='Installed' oid='1.3.6.1.2.1.43.11.1.1.6.1' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                     <Lookup value='Yellow Toner'/>
                     <Lookup value='Yellow Cartridge'/>
                  </Installed>
               </Property>
            </Property>

            <!-- For Application Query of consumables                      -->
            <!-- Items may be in any order, so app will have to match text -->
            <!--   \Printer.Consumables.Item[n]:Text                       -->
            <!--   \Printer.Consumables.Item[n]:Level                      -->
            <IndexedProperty name="Item">
               <Value name="Text" type="BIDI_TEXT"
                               oid="1.3.6.1.2.1.43.11.1.1.6.1" deviceIndex="true"/>
               <Value name="Level" type="BIDI_INT"
                               oid="1.3.6.1.2.1.43.11.1.1.9.1" deviceIndex="true"/>
            </IndexedProperty>

        </Property>
        <Property name="Layout">
            <Property name="InputBin">
                <InputBin name="Tray1" mibName="Tray 1" refreshInterval='600'>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="9"/>
                </InputBin>
                <InputBin name="Tray2" mibName="Tray 2" refreshInterval='600'>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="9"/>
                </InputBin>
                <InputBin name="Tray3" mibName="Tray 3" refreshInterval='600'>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="9"/>
                </InputBin>
                <InputBin name="Tray4" mibName="Tray 4" refreshInterval='600'>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="9"/>
                </InputBin>
                <InputBin name="Tray5" mibName="Tray 5" refreshInterval='600'>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="9"/>
                </InputBin>
                <InputBin name="EnvFeed" mibName="Feeder" refreshInterval='600'>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="9"/>
                </InputBin>
                <InputBin name="ManualBin" mibName="Manual Paper" refreshInterval='600' />
                <InputBin name="MultiPurposeBin" mibName="MP Tray" refreshInterval='600' />
                <InputBin name="EnvelopeManual"  mibName="Manual Envelope" refreshInterval='600' />
            </Property>
        </Property>
        <Property name="Finishing">
            <Property name="OutputBin">
                <OutputBin name="TopBin" mibName="Standard Bin" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" drvPrinterEvent='true' valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin1"  mibName="Bin 1" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin2"  mibName="Bin 2" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin3"  mibName="Bin 3" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin4"  mibName="Bin 4" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin5"  mibName="Bin 5" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin6"  mibName="Bin 6" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin7"  mibName="Bin 7" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin8"  mibName="Bin 8" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin9"  mibName="Bin 9" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
                <OutputBin name="Bin10"  mibName="Bin 10" refreshInterval='600'>
                   <BinValue name="Status" type="BIDI_INT" valueId="6"/>
                   <BinValue name="Capacity" type="BIDI_INT" drvPrinterEvent='true' valueId="4"/>
                </OutputBin>
            </Property>
            <Property name='Staple'>
                <Installed name='Installed' oid='1.3.6.1.2.1.43.11.1.1.6.1' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                    <Lookup value='Staples'/>
                </Installed>
            </Property>
            <Property name='HolePunch'>
                <Installed name='Installed' oid='1.3.6.1.2.1.43.11.1.1.6.1' deviceIndex='false' drvPrinterEvent='true' refreshInterval='600'>
                    <Lookup value='Hole Punch Box'/>
                </Installed>
            </Property>
        </Property>
    </Property>
</bidi:Schema>

